> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable 2Fa

> Enable 2FA and get QR code for scanning.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/auth/2fa/enable
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/auth/2fa/enable:
    post:
      tags:
        - Auth
      summary: Enable 2Fa
      description: Enable 2FA and get QR code for scanning.
      operationId: api_auth_router_enable_2fa
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TwoFactorEnableResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    TwoFactorEnableResponse:
      properties:
        secret:
          title: Secret
          type: string
        qr_code_uri:
          title: Qr Code Uri
          type: string
      required:
        - secret
        - qr_code_uri
      title: TwoFactorEnableResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````